UpnpString.c File Reference
The UpnpString Class

UpnpString object implementation. More...

`#include "config.h"`
`#include "UpnpString.h"`
`#include <stdlib.h>`
`#include <string.h>`
`#include "posix_overwrites.h"`
Include dependency graph for UpnpString.c:

## Data Structures

struct | SUpnpString
| Internal implementation of the class UpnpString. More...

## Functions

static size_t | strnlen (const char *s, size_t n)
static char * | strndup (const char *__string, size_t __n)
UpnpString * | UpnpString_new (void)
| Constructor.
void | UpnpString_delete (UpnpString *p)
| Destructor.
UpnpString * | UpnpString_dup (const UpnpString *p)
| Copy Constructor.
void | UpnpString_assign (UpnpString *p, const UpnpString *q)
| Assignment operator.
size_t | UpnpString_get_Length (const UpnpString *p)
| Returns the length of the string.
void | UpnpString_set_Length (UpnpString *p, size_t n)
| Truncates the string to the specified lenght, or does nothing if the current lenght is less than or equal to the requested length.
const char * | UpnpString_get_String (const UpnpString *p)
| Returns the pointer to char.
int | UpnpString_set_String (UpnpString *p, const char *s)
| Sets the string from a pointer to char.
int | UpnpString_set_StringN (UpnpString *p, const char *s, size_t n)
| Sets the string from a pointer to char using a maximum of N chars.
void | UpnpString_clear (UpnpString *p)
| Clears the string, sets its size to zero.
int | UpnpString_cmp (UpnpString *p, UpnpString *q)
| Compares two strings for equality. Case matters.
int | UpnpString_casecmp (UpnpString *p, UpnpString *q)
| Compares two strings for equality. Case does not matter.

## Detailed Description

UpnpString object implementation.